#
# spec file for package ghc-json
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name json

Name:           ghc-json
Version:        0.9.1
Release:        1.2
Summary:        Support for serialising Haskell to and from JSON
License:        BSD-3-Clause
Group:          System/Libraries

Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-text-devel
# End cabal-rpm deps

%description
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It is easy for humans to read and write. It is easy for machines to parse and
generate. It is based on a subset of the JavaScript Programming Language,
Standard ECMA-262 3rd Edition - December 1999.

This library provides a parser and pretty printer for converting between
Haskell values and JSON.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Tue Jun 16 2015 mimi.vx@gmail.com
- updated to 0.9.1
- regenerated with cabal-rpm
  * Merge-in contributions from Neil Mitchell to support GHC 7.10
  * Merge-in contributions from Neil Mitchell to accomodate working with HEAD.
  * Add Applicative instance for GetJSON
* Mon Oct 21 2013 sbahling@suse.com
- spec file: Add %%defattr(-,root,root,-) to %%files devel section
* Tue May 14 2013 peter.trommler@ohm-hochschule.de
- new spec file template generated by cabal-rpm
  * no macros spanning multiple spec file sections
* Sun Nov 18 2012 peter.trommler@ohm-hochschule.de
- update to 0.7 from upstream (no changelog)
* Thu Jun  7 2012 peter.trommler@ohm-hochschule.de
- put syb and parsec back in (needed by citeproc-hs)
* Thu Jun  7 2012 peter.trommler@ohm-hochschule.de
- removed syb and parsec again
* Mon May  7 2012 peter.trommler@ohm-hochschule.de
- dropped build requires ghc-syb-devel and ghc-parsec-devel
  no longer required in json.cabal
* Mon May  7 2012 peter.trommler@ohm-hochschule.de
- spec file template generated by cabal2spec-0.25.5
* Tue Mar 27 2012 peter.trommler@ohm-hochschule.de
- upgrade to 0.5 for ghc 7.4.1
- fixes compiler error
* Fri Jan 20 2012 herbert@graeber-clan.de
- build generic and parsec submodules, too
* Fri Jan 20 2012 herbert@graeber-clan.de
- downgrade to version 0.4 (pandoc neededs this)
* Fri Jan 20 2012 herbert@graeber-clan.de
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
